Package com.databricks.jdbc.common.util

## Class WildcardUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.WildcardUtil

    public class WildcardUtil
    extends Object

This class consists of utility functions with respect to wildcard strings that are required in building SQL queries

### Constructor Summary

Constructors
`WildcardUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isMatchAnything​(String s)` This function checks if the input string is a "match anything" string i.e.
`static boolean` `isNullOrEmpty​(String s)`
`static boolean` `isWildcard​(String s)` This function checks if the input string is a wildcard string
`static String` `jdbcPatternToHive​(String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WildcardUtil

    public WildcardUtil()

### Method Detail

#### isMatchAnything

    public static boolean isMatchAnything​(String s)

This function checks if the input string is a "match anything" string i.e. "*"

Parameters:
  `s` - the input string
Returns:
  true if the input string is "*"

#### isNullOrEmpty

    public static boolean isNullOrEmpty​(String s)

#### isWildcard

    public static boolean isWildcard​(String s)

This function checks if the input string is a wildcard string

Parameters:
  `s` - the input string
Returns:
  true if the input string is wildcard

#### jdbcPatternToHive

    public static String jdbcPatternToHive​(String pattern)